package cn.com.poc.writing.dto;

import java.util.List;

/**
 * @author 52747
 * @date 2025/8/14
 */
public class GenerateExaminationDto {
    /**
     * ID
     */
    private String examinationId;

    /**
     * 试卷名称
     */
    private String title;

    /**
     * 出题类型
     */
    private List<String> questionType;

    /**
     * 总题数
     */
    private Integer n;

    /**
     * 总分数
     */
    private Integer totalScore;

    /**
     * 难度级别
     */
    private String level;

    /**
     * 出题语言
     */
    private String language;

    /**
     * 适用岗位
     */
    private String positions;

    /**
     * 文件地址
     */
    private String fileUrl;

    /**
     * 出题内容
     */
    private String content;

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public List<String> getQuestionType() {
        return questionType;
    }

    public void setQuestionType(List<String> questionType) {
        this.questionType = questionType;
    }

    public String getExaminationId() {
        return examinationId;
    }

    public void setExaminationId(String examinationId) {
        this.examinationId = examinationId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Integer getN() {
        return n;
    }

    public void setN(Integer n) {
        this.n = n;
    }

    public Integer getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Integer totalScore) {
        this.totalScore = totalScore;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getLanguage() {
        return language;
    }

    public void setLanguage(String language) {
        this.language = language;
    }

    public String getPositions() {
        return positions;
    }

    public void setPositions(String positions) {
        this.positions = positions;
    }
}
